Gecode::Int::Extensional::PosCompact< View, Table >::Status Class Reference

Status management. More...

`#include <extensional.hh>`

## Public Member Functions

| Status (StatusType t)
| Initialize with type t (either NONE or SEVERAL).
| Status (const Status &s)
| Copy constructor.
StatusType | type (void) const
| Return status type.
bool | single (CTAdvisor &a) const
| Check whether status is single and equal to a.
void | touched (CTAdvisor &a)
| Set status to SINGLE or MULTIPLE depending on a.
void | none (void)
| Set status to NONE.
void | propagating (void)
| Set status to PROPAGATING.

## Protected Attributes

ptrdiff_t | s
| A tagged pointer for storing the status.

## Detailed Description

template<class View, class Table>
class Gecode::Int::Extensional::PosCompact< View, Table >::Status

Status management.

Definition at line 528 of file extensional.hh.

## Constructor & Destructor Documentation

## Status() [1/2]

template<class View, class Table>

Gecode::Int::Extensional::PosCompact< View, Table >::Status::Status | ( | StatusType | t | ) |

inline

Initialize with type t (either NONE or SEVERAL).

Definition at line 417 of file compact.hpp.

## Status() [2/2]

template<class View, class Table>

Gecode::Int::Extensional::PosCompact< View, Table >::Status::Status | ( | const Status & | s | ) |

inline

Copy constructor.

Definition at line 421 of file compact.hpp.

## Member Function Documentation

## type()

template<class View, class Table>

PosCompact< View, Table >::StatusType Gecode::Int::Extensional::PosCompact< View, Table >::Status::type | ( | void |  | ) | const

inline

Return status type.

Definition at line 425 of file compact.hpp.

## single()

template<class View, class Table>

bool Gecode::Int::Extensional::PosCompact< View, Table >::Status::single | ( | CTAdvisor & | a | ) | const

inline

Check whether status is single and equal to a.

Definition at line 430 of file compact.hpp.

## touched()

template<class View, class Table>

void Gecode::Int::Extensional::PosCompact< View, Table >::Status::touched | ( | CTAdvisor & | a | ) |

inline

Set status to SINGLE or MULTIPLE depending on a.

Definition at line 438 of file compact.hpp.

## none()

template<class View, class Table>

void Gecode::Int::Extensional::PosCompact< View, Table >::Status::none | ( | void |  | ) |

inline

Set status to NONE.

Definition at line 444 of file compact.hpp.

## propagating()

template<class View, class Table>

void Gecode::Int::Extensional::PosCompact< View, Table >::Status::propagating | ( | void |  | ) |

inline

Set status to PROPAGATING.

Definition at line 449 of file compact.hpp.

## Member Data Documentation

## s

template<class View, class Table>

ptrdiff_t Gecode::Int::Extensional::PosCompact< View, Table >::Status::s

protected

A tagged pointer for storing the status.

Definition at line 531 of file extensional.hh.

The documentation for this class was generated from the following files:

- gecode/int/extensional.hh
- gecode/int/extensional/compact.hpp